Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 181844 - Search for RVM installations
Search for RVM installations
Status: REOPENED
Product: ruby
Classification: Unclassified
Component: Platform
7.0
PC Linux
: P3 with 1 vote (vote)
: 7.0
Assigned To: issues@ruby
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-11 06:47 UTC by pupeno
Modified: 2011-01-28 20:14 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Dump of environment configurations for gemsets and many rubies (5.99 KB, text/plain)
2010-11-27 18:34 UTC, mpapis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pupeno 2010-03-11 06:47:22 UTC
It would be awesome if when searching for Ruby platforms you'd also search for RVM (Ruby Version Manager) installations in ~/.rvm and have them running out of the box.
Comment 1 Erno Mononen 2010-03-29 13:10:44 UTC
I've changed the platform autodetection to look into ~.rvm/rubies for platforms in 6251261b4220, so this should be fixed now. Let me know if you find any issues with it, I only performed rather superficial testing as I don't use RVM myself (just now installed it for testing this).
Comment 2 Quality Engineering 2010-04-02 05:18:18 UTC
Integrated into 'main-golden', will be available in build *201004020200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/6251261b4220
User: Erno Mononen <emononen@netbeans.org>
Log: #181844 - Search for RVM installations
Comment 3 jmcbade 2010-06-19 09:16:49 UTC
The problem now is that with rvm install and configured, the native system install can not be used or configured as a selectable platform.  Tried creating a new platform and selecting the system Ruby install.  It doesn't seem to be able to be added.

MAC Running Snow Leopard 10.6.4
Comment 4 jmcbade 2010-06-19 09:33:15 UTC
(In reply to comment #3)
> The problem now is that with rvm install and configured, the native system
> install can not be used or configured as a selectable platform.  Tried creating
> a new platform and selecting the system Ruby install.  It doesn't seem to be
> able to be added.
> 
> MAC Running Snow Leopard 10.6.4

Never mind.  I am in error.
Comment 5 mpapis 2010-11-27 18:34:40 UTC
Created attachment 103404 [details]
Dump of environment configurations for gemsets and many rubies
Comment 6 mpapis 2010-11-27 18:37:02 UTC
1. rvms are found fine but still gemsets are not recognized correctly.

Detecting gemsets can be done throug: ls -1d .rvm/gems/*@*
.rvm/gems/ruby-1.8.7-head@global
.rvm/gems/ruby-1.9.2-head@global
.rvm/gems/ruby-1.9.2-head@rails3test

So by default global was only found, no possibility to use rails3test except
overwriting global configuration.

2. if many ruby versions installed then gem home & path are set to current
environment default

3. It is not possible to add separate copy of the same ruby - with different
path

4. not sure about that(if it is implemented correctly) but if available then
binaries should be used from the selected gemset

Full environment configuration dump with examples can be found in previous attachment.
Comment 7 mpapis 2010-11-27 18:58:52 UTC
additionally to the point 4 in comment 6 there is problem with GEM_HOME being not used for bundler, after issuing project menu bundler install:

Your bundle is complete! It was installed into /home/mpapis/.rvm/gems/ruby-1.9.2-head

but it should use /home/mpapis/.rvm/gems/ruby-1.9.2-head@rails3test - to which GEM_HOME was set.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo